# Class MoveAnim

#### Hierarchy (view full)

- BattleAnim
  - MoveAnim
    - MoveChargeAnim

- Defined in src/data/battle-anims.ts:1000

#####
Index

### Constructors

constructor

### Properties

bgSprite
move
sprites
target
user

### Methods

getAnim
isHideTarget
isHideUser
isOppAnim
play

## Constructors

### constructor

- new MoveAnim(move, user, target): MoveAnim

- #### Parameters

  - move: Moves
  - user: default
  - target: BattlerIndex

  #### Returns MoveAnim

  Overrides BattleAnim.constructor

  - Defined in src/data/battle-anims.ts:1003

## Properties

### bgSprite

bgSprite: TileSprite | Rectangle

Inherited from BattleAnim.bgSprite

- Defined in src/data/battle-anims.ts:674

### move

move: Moves

- Defined in src/data/battle-anims.ts:1001

### sprites

sprites: Sprite[]

Inherited from BattleAnim.sprites

- Defined in src/data/battle-anims.ts:673

### target

target: default

Inherited from BattleAnim.target

- Defined in src/data/battle-anims.ts:672

### user

user: default

Inherited from BattleAnim.user

- Defined in src/data/battle-anims.ts:671

## Methods

### getAnim

- getAnim(): AnimConfig

- #### Returns AnimConfig

  Overrides BattleAnim.getAnim

  - Defined in src/data/battle-anims.ts:1009

### `Protected` isHideTarget

- isHideTarget(): boolean

- #### Returns boolean

  Overrides BattleAnim.isHideTarget

  - Defined in src/data/battle-anims.ts:1023

### `Protected` isHideUser

- isHideUser(): boolean

- #### Returns boolean

  Overrides BattleAnim.isHideUser

  - Defined in src/data/battle-anims.ts:1019

### isOppAnim

- isOppAnim(): boolean

- #### Returns boolean

  Overrides BattleAnim.isOppAnim

  - Defined in src/data/battle-anims.ts:1015

### play

- play(scene, callback?): void

- #### Parameters

  - scene: default
  - `Optional` callback: Function

  #### Returns void

  Inherited from BattleAnim.play

  - Defined in src/data/battle-anims.ts:751